## 3DGPL ###################################################
#  (WINDOWS-32/MS Visual C)                                #
#  use as:                                                 #
#                                                          #
#  make group                                              #
#  make surface                                            #
#                                                          #
#  make clean                                              #
#                                                          #
#  (c) 1995-98 Sergei Savchenko, (savs@cs.mcgill.ca)       #
############################################################

OP = -D_RGB_ -D_16BPP_ -D_Z_BUFFER_ -D_FIXED_ -D_MONO_
CC = cl
LN = link
CF = /c $(OP) /Fo
LF = /out:app.exe
LL = gdi32.lib user32.lib

############################################################

OBJ = 1.obj 2.obj 3.obj 4.obj 5.obj 6.obj 7.obj 8.obj 9.obj a.obj b.obj c.obj d.obj e.obj f.obj g.obj
HEAD = ../clipper/clipper.h ../hardware/hardware.h ../trans/trans.h ../graphics/graphics.h ../engine/engine.h ../data/data.h ../colour/colour.h win-32-ms.mk

############################################################

group: 00.obj $(OBJ)
	$(LN) $(LF) 00.obj ?.obj $(LL)
surface: 01.obj $(OBJ)
	$(LN) $(LF) 01.obj ?.obj $(LL)

00.obj: group.c $(HEAD)
	$(CC) $(CF)00.obj group.c
01.obj: surface.c $(HEAD)
	$(CC) $(CF)01.obj surface.c

1.obj: ../clipper/clipp-2d.c $(HEAD)
	$(CC) $(CF)1.obj ../clipper/clipp-2d.c
2.obj: ../clipper/clipp-3d.c $(HEAD)
	$(CC) $(CF)2.obj ../clipper/clipp-3d.c

3.obj: ../engine/eng-base.c $(HEAD)
	$(CC) $(CF)3.obj ../engine/eng-base.c
4.obj: ../engine/eng-poly.c $(HEAD)
	$(CC) $(CF)4.obj ../engine/eng-poly.c
5.obj: ../engine/eng-surf.c $(HEAD)
	$(CC) $(CF)5.obj ../engine/eng-surf.c
6.obj: ../engine/eng-volm.c $(HEAD)
	$(CC) $(CF)6.obj ../engine/eng-volm.c
7.obj: ../engine/eng-grup.c $(HEAD)
	$(CC) $(CF)7.obj ../engine/eng-grup.c
8.obj: ../engine/eng-bcub.c $(HEAD)
	$(CC) $(CF)8.obj ../engine/eng-bcub.c

9.obj: ../graphics/grp-base.c $(HEAD)
	$(CC) $(CF)9.obj ../graphics/grp-base.c
a.obj: ../graphics/grp-poly.c $(HEAD)
	$(CC) $(CF)a.obj ../graphics/grp-poly.c
b.obj: ../graphics/grp-text.c $(HEAD)
	$(CC) $(CF)b.obj ../graphics/grp-text.c

c.obj: ../hardware/hardware.c $(HEAD)
	$(CC) $(CF)c.obj ../hardware/hardware.c

d.obj: ../trans/trans-bs.c $(HEAD)
	$(CC) $(CF)d.obj ../trans/trans-bs.c
e.obj: ../trans/trans-ln.c $(HEAD)
	$(CC) $(CF)e.obj ../trans/trans-ln.c

f.obj: ../data/data.c $(HEAD)
	$(CC) $(CF)f.obj ../data/data.c

g.obj: ../colour/colour.c $(HEAD)
	$(CC) $(CF)g.obj ../colour/colour.c

../hardware/hardware.c : ../hardware/win-32/hardware.c
	copy ..\hardware\win-32\hardware.c ..\hardware\hardware.c
../hardware/hardware.h : ../hardware/win-32/hardware.h
	copy ..\hardware\win-32\hardware.h ..\hardware\hardware.h

clean:
	del ..\hardware\hardware.h
	del ..\hardware\hardware.c
	del *.obj
	del app.exe

############################################################
