## 3DGPL ###################################################
#  (X11/GCC)                                               #
#  use as:                                                 #
#                                                          #
#  make group                                              #
#  make surface                                            #
#                                                          #
#  make clean                                              #
#                                                          #
#  (c) 1995-98 Sergei Savchenko, (savs@cs.mcgill.ca)       #
############################################################

OP = -D_RGB_ -D_16BPP_ -D_Z_BUFFER_ -D_FIXED_ -D_MONO_
CC = gcc
LN = gcc
CF = -c -O4 $(OP) -o
LF = -O4 -o app.app
LL = -lX11 -lm

############################################################

OBJ = 1.o 2.o 3.o 4.o 5.o 6.o 7.o 8.o 9.o a.o b.o c.o d.o e.o f.o g.o
HEAD = ../clipper/clipper.h ../hardware/hardware.h ../trans/trans.h ../graphics/graphics.h ../engine/engine.h ../data/data.h ../colour/colour.h x11-gcc.mk

############################################################

group: 00.o $(OBJ)
	$(LN) $(LF) 00.o $(OBJ) $(LL)
surface: 01.o $(OBJ)
	$(LN) $(LF) 01.o $(OBJ) $(LL)

00.o: group.c $(HEAD)
	$(CC) $(CF)00.o group.c
01.o: surface.c $(HEAD)
	$(CC) $(CF)01.o surface.c

1.o: ../clipper/clipp-2d.c $(HEAD)
	$(CC) $(CF)1.o ../clipper/clipp-2d.c
2.o: ../clipper/clipp-3d.c $(HEAD)
	$(CC) $(CF)2.o ../clipper/clipp-3d.c

3.o: ../engine/eng-base.c $(HEAD)
	$(CC) $(CF)3.o ../engine/eng-base.c
4.o: ../engine/eng-poly.c $(HEAD)
	$(CC) $(CF)4.o ../engine/eng-poly.c
5.o: ../engine/eng-surf.c $(HEAD)
	$(CC) $(CF)5.o ../engine/eng-surf.c
6.o: ../engine/eng-volm.c $(HEAD)
	$(CC) $(CF)6.o ../engine/eng-volm.c
7.o: ../engine/eng-grup.c $(HEAD)
	$(CC) $(CF)7.o ../engine/eng-grup.c
8.o: ../engine/eng-bcub.c $(HEAD)
	$(CC) $(CF)8.o ../engine/eng-bcub.c

9.o: ../graphics/grp-base.c $(HEAD)
	$(CC) $(CF)9.o ../graphics/grp-base.c
a.o: ../graphics/grp-poly.c $(HEAD)
	$(CC) $(CF)a.o ../graphics/grp-poly.c
b.o: ../graphics/grp-text.c $(HEAD)
	$(CC) $(CF)b.o ../graphics/grp-text.c

c.o: ../hardware/hardware.c $(HEAD)
	$(CC) $(CF)c.o ../hardware/hardware.c

d.o: ../trans/trans-bs.c $(HEAD)
	$(CC) $(CF)d.o ../trans/trans-bs.c
e.o: ../trans/trans-ln.c $(HEAD)
	$(CC) $(CF)e.o ../trans/trans-ln.c

f.o: ../data/data.c $(HEAD)
	$(CC) $(CF)f.o ../data/data.c

g.o: ../colour/colour.c $(HEAD)
	$(CC) $(CF)g.o ../colour/colour.c

../hardware/hardware.c : ../hardware/x-11/hardware.c
	cp ../hardware/x-11/hardware.c ../hardware/hardware.c
../hardware/hardware.h : ../hardware/x-11/hardware.h
	cp ../hardware/x-11/hardware.h ../hardware/hardware.h

clean:
	rm ../hardware/hardware.h
	rm ../hardware/hardware.c
	rm *.o
	rm app.app

############################################################
