/** 3DGPL *************************************************\
 * Sample application:                                    *
 *  Draws a scene using ray-tracing.                      *
 *                                                        *
 * (c) 1995-98 Sergei Savchenko, (savs@cs.mcgill.ca)      *
\**********************************************************/

#include <stdio.h>
#include <string.h>
#include "../hardware/hardware.h"
#include "../colour/colour.h"
#include "../graphics/graphics.h"
#include "../data/data.h"
#include "../trace/trace.h"

#if defined(_RGB_)                          /* paths to data sets */
 #if defined(_32BPP_)
char path[128]="data/rgb32/";
 #endif
 #if defined(_16BPP_)
char path[128]="data/rgb16/";
 #endif
 #if defined(_8BPP_)
char path[128]="data/rgb8/";
 #endif
#endif

struct TR_world *w;

/**********************************************************/

void app_handler(int kk)                    /* event handler */
{
 HW_close_event_loop();
}

/**********************************************************/

void app_main(void)                         /* rendering loop */
{
 TR_set_camera(0,0,-256, 0,0,0, 1,0,0, 0,1,0);
 TR_trace_world(w,10);
 G_text(0,0,"<enter-exit>",
        CL_colour(CL_COLOUR_LEVELS-1,CL_COLOUR_LEVELS-1,CL_COLOUR_LEVELS-1),
        CL_LIGHT_LEVELS-1,CL_LIGHT_LEVELS-1,CL_LIGHT_LEVELS-1);
 HW_blit();
}

/**********************************************************/

int main(int no,char **o)                   /* initialize, launch the loop */
{
 char *display;
 if(no==2) display=o[1]; else display=NULL;
 
 strcat(path,"tracer.dat");
 w=D_data(path);
 CL_init_colour();
 TR_init_rendering(TR_SPECULAR|TR_SHADOW|TR_REFLECT);
 TR_init_world(w);
 G_init_graphics();

 HW_init_screen(display,"3Dgpl");
 HW_init_event_loop(app_main,app_handler);
 HW_close_screen();

 return(1);
}

/**********************************************************/
